Bug 1414565 - ceph-ansible: downstream docs incorrectly describes inventory and group_vars usage
Summary: ceph-ansible: downstream docs incorrectly describes inventory and group_vars ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation
Version: 2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.2
Assignee: Aron Gunn
QA Contact: Tejas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 20:50 UTC by Andrew Schoen
Modified: 2017-03-21 23:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-21 23:49:25 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Andrew Schoen 2017-01-18 20:50:47 UTC
Description of problem:

In our downstream docs we instruct users to use /etc/ansible/hosts as their inventory file, but to configure ceph by defining the appropriate variables in /usr/share/ceph-ansible/group_vars. Correct ansible usage is to always put your group_vars directory and configuration in the same directory as your inventory. If you don't do this ansible can not find the configuration found in your group_vars.

Link to downstream docs: https://access.redhat.com/documentation/en/red-hat-ceph-storage/2/single/installation-guide-for-red-hat-enterprise-linux#installing_red_hat_ceph_storage_using_ansible

Here's a reference to the upstream ansible docs pertaining to this: http://docs.ansible.com/ansible/intro_inventory.html#splitting-out-host-and-group-specific-data

Comment 7 Tejas 2017-02-03 09:38:17 UTC
The doc looks good.
Moving to Verified.


Note You need to log in before you can comment on or make changes to this bug.